Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser.config.window
Class IndexHolder

    java.lang.Object
      org.gjt.jclasslib.browser.config.window.IndexHolder

All Implemented Interfaces:
  PathComponent

public class IndexHolder
extends Object
implements PathComponent

Browser path component for an index value.

Version:
  $Revision: 1.1 $ $Date: 2003/08/18 08:10:15 $
Author:
  Ingo Kegel

Constructor Summary
`IndexHolder()` Constructor.
`IndexHolder(int index)` Constructor.

Method Summary
`int` | `getIndex()` Get the index.
`void` | `setIndex(int index)` Set the index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexHolder

    public IndexHolder(int index)

  Constructor.

Parameters:
  `index` - the index.

### IndexHolder

    public IndexHolder()

  Constructor.

Method Detail

### getIndex

    public int getIndex()

  Get the index.

  Returns:
    the index.

### setIndex

    public void setIndex(int index)

  Set the index.

  Parameters:
    `index` - the index.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD